


<!DOCTYPE html>
<html lang="en" class=" is-copy-enabled">
  <head prefix="og: http://ogp.me/ns# fb: http://ogp.me/ns/fb# object: http://ogp.me/ns/object# article: http://ogp.me/ns/article# profile: http://ogp.me/ns/profile#">
    <meta charset='utf-8'>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="Content-Language" content="en">
    <meta name="viewport" content="width=1020">
    
    
    <title>Detectizr/detectizr.min.js at master · barisaydinoglu/Detectizr · GitHub</title>
    <link rel="search" type="application/opensearchdescription+xml" href="/opensearch.xml" title="GitHub">
    <link rel="fluid-icon" href="https://github.com/fluidicon.png" title="GitHub">
    <link rel="apple-touch-icon" sizes="57x57" href="/apple-touch-icon-114.png">
    <link rel="apple-touch-icon" sizes="114x114" href="/apple-touch-icon-114.png">
    <link rel="apple-touch-icon" sizes="72x72" href="/apple-touch-icon-144.png">
    <link rel="apple-touch-icon" sizes="144x144" href="/apple-touch-icon-144.png">
    <meta property="fb:app_id" content="1401488693436528">

      <meta content="@github" name="twitter:site" /><meta content="summary" name="twitter:card" /><meta content="barisaydinoglu/Detectizr" name="twitter:title" /><meta content="Detectizr - A Modernizr extension to detect device, device model, screen size, operating system, and browser details" name="twitter:description" /><meta content="https://avatars2.githubusercontent.com/u/900545?v=3&amp;s=400" name="twitter:image:src" />
      <meta content="GitHub" property="og:site_name" /><meta content="object" property="og:type" /><meta content="https://avatars2.githubusercontent.com/u/900545?v=3&amp;s=400" property="og:image" /><meta content="barisaydinoglu/Detectizr" property="og:title" /><meta content="https://github.com/barisaydinoglu/Detectizr" property="og:url" /><meta content="Detectizr - A Modernizr extension to detect device, device model, screen size, operating system, and browser details" property="og:description" />
      <meta name="browser-stats-url" content="https://api.github.com/_private/browser/stats">
    <meta name="browser-errors-url" content="https://api.github.com/_private/browser/errors">
    <link rel="assets" href="https://assets-cdn.github.com/">
    
    <meta name="pjax-timeout" content="1000">
    

    <meta name="msapplication-TileImage" content="/windows-tile.png">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="selected-link" value="repo_source" data-pjax-transient>

    <meta name="google-site-verification" content="KT5gs8h0wvaagLKAVWq8bbeNwnZZK1r1XQysX3xurLU">
    <meta name="google-analytics" content="UA-3769691-2">

<meta content="collector.githubapp.com" name="octolytics-host" /><meta content="github" name="octolytics-app-id" /><meta content="5152F9F0:19E0:6979289:56547241" name="octolytics-dimension-request_id" />
<meta content="/&lt;user-name&gt;/&lt;repo-name&gt;/blob/show" data-pjax-transient="true" name="analytics-location" />
<meta content="Rails, view, blob#show" data-pjax-transient="true" name="analytics-event" />


  <meta class="js-ga-set" name="dimension1" content="Logged Out">
    <meta class="js-ga-set" name="dimension4" content="Current repo nav">




    <meta name="is-dotcom" content="true">
        <meta name="hostname" content="github.com">
    <meta name="user-login" content="">

      <link rel="mask-icon" href="https://assets-cdn.github.com/pinned-octocat.svg" color="#4078c0">
      <link rel="icon" type="image/x-icon" href="https://assets-cdn.github.com/favicon.ico">

    <meta content="87d1b8c0dc4c3d7ed31918fca6d8b5601d83aacc" name="form-nonce" />

    <link crossorigin="anonymous" href="https://assets-cdn.github.com/assets/github-3698fb0adc53fda9a2672a02c3fa3b20b89480f2a47ce38216b21cf3eb5b4750.css" integrity="sha256-Npj7CtxT/amiZyoCw/o7ILiUgPKkfOOCFrIc8+tbR1A=" media="all" rel="stylesheet" />
    <link crossorigin="anonymous" href="https://assets-cdn.github.com/assets/github2-84f5bb59141e497516d920891b2b4b9546f973becc8d7a34706b8ad2d556ef40.css" integrity="sha256-hPW7WRQeSXUW2SCJGytLlUb5c77MjXo0cGuK0tVW70A=" media="all" rel="stylesheet" />
    
    
    


    <meta http-equiv="x-pjax-version" content="efef53cedb8e9d707a094b7ee9bb1be4">

      
  <meta name="description" content="Detectizr - A Modernizr extension to detect device, device model, screen size, operating system, and browser details">
  <meta name="go-import" content="github.com/barisaydinoglu/Detectizr git https://github.com/barisaydinoglu/Detectizr.git">

  <meta content="900545" name="octolytics-dimension-user_id" /><meta content="barisaydinoglu" name="octolytics-dimension-user_login" /><meta content="4248810" name="octolytics-dimension-repository_id" /><meta content="barisaydinoglu/Detectizr" name="octolytics-dimension-repository_nwo" /><meta content="true" name="octolytics-dimension-repository_public" /><meta content="false" name="octolytics-dimension-repository_is_fork" /><meta content="4248810" name="octolytics-dimension-repository_network_root_id" /><meta content="barisaydinoglu/Detectizr" name="octolytics-dimension-repository_network_root_nwo" />
  <link href="https://github.com/barisaydinoglu/Detectizr/commits/master.atom" rel="alternate" title="Recent Commits to Detectizr:master" type="application/atom+xml">

  </head>


  <body class="logged_out   env-production windows vis-public page-blob">
    <a href="#start-of-content" tabindex="1" class="accessibility-aid js-skip-to-content">Skip to content</a>

    
    
    



      
      <div class="header header-logged-out" role="banner">
  <div class="container clearfix">

    <a class="header-logo-wordmark" href="https://github.com/" data-ga-click="(Logged out) Header, go to homepage, icon:logo-wordmark">
      <span class="mega-octicon octicon-logo-github"></span>
    </a>

    <div class="header-actions" role="navigation">
        <a class="btn btn-primary" href="/join" data-ga-click="(Logged out) Header, clicked Sign up, text:sign-up">Sign up</a>
      <a class="btn" href="/login?return_to=%2Fbarisaydinoglu%2FDetectizr%2Fblob%2Fmaster%2Fdist%2Fdetectizr.min.js" data-ga-click="(Logged out) Header, clicked Sign in, text:sign-in">Sign in</a>
    </div>

    <div class="site-search repo-scope js-site-search" role="search">
      <!-- </textarea> --><!-- '"` --><form accept-charset="UTF-8" action="/barisaydinoglu/Detectizr/search" class="js-site-search-form" data-global-search-url="/search" data-repo-search-url="/barisaydinoglu/Detectizr/search" method="get"><div style="margin:0;padding:0;display:inline"><input name="utf8" type="hidden" value="&#x2713;" /></div>
  <label class="js-chromeless-input-container form-control">
    <div class="scope-badge">This repository</div>
    <input type="text"
      class="js-site-search-focus js-site-search-field is-clearable chromeless-input"
      data-hotkey="s"
      name="q"
      placeholder="Search"
      aria-label="Search this repository"
      data-global-scope-placeholder="Search GitHub"
      data-repo-scope-placeholder="Search"
      tabindex="1"
      autocapitalize="off">
  </label>
</form>
    </div>

      <ul class="header-nav left" role="navigation">
          <li class="header-nav-item">
            <a class="header-nav-link" href="/explore" data-ga-click="(Logged out) Header, go to explore, text:explore">Explore</a>
          </li>
          <li class="header-nav-item">
            <a class="header-nav-link" href="/features" data-ga-click="(Logged out) Header, go to features, text:features">Features</a>
          </li>
          <li class="header-nav-item">
            <a class="header-nav-link" href="https://enterprise.github.com/" data-ga-click="(Logged out) Header, go to enterprise, text:enterprise">Enterprise</a>
          </li>
          <li class="header-nav-item">
            <a class="header-nav-link" href="/pricing" data-ga-click="(Logged out) Header, go to pricing, text:pricing">Pricing</a>
          </li>
      </ul>

  </div>
</div>



    <div id="start-of-content" class="accessibility-aid"></div>

    <div id="js-flash-container">
</div>


    <div role="main" class="main-content">
        <div itemscope itemtype="http://schema.org/WebPage">
    <div class="pagehead repohead instapaper_ignore readability-menu">

      <div class="container">

        <div class="clearfix">
          

<ul class="pagehead-actions">

  <li>
      <a href="/login?return_to=%2Fbarisaydinoglu%2FDetectizr"
    class="btn btn-sm btn-with-count tooltipped tooltipped-n"
    aria-label="You must be signed in to watch a repository" rel="nofollow">
    <span class="octicon octicon-eye"></span>
    Watch
  </a>
  <a class="social-count" href="/barisaydinoglu/Detectizr/watchers">
    32
  </a>

  </li>

  <li>
      <a href="/login?return_to=%2Fbarisaydinoglu%2FDetectizr"
    class="btn btn-sm btn-with-count tooltipped tooltipped-n"
    aria-label="You must be signed in to star a repository" rel="nofollow">
    <span class="octicon octicon-star"></span>
    Star
  </a>

    <a class="social-count js-social-count" href="/barisaydinoglu/Detectizr/stargazers">
      277
    </a>

  </li>

  <li>
      <a href="/login?return_to=%2Fbarisaydinoglu%2FDetectizr"
        class="btn btn-sm btn-with-count tooltipped tooltipped-n"
        aria-label="You must be signed in to fork a repository" rel="nofollow">
        <span class="octicon octicon-repo-forked"></span>
        Fork
      </a>

    <a href="/barisaydinoglu/Detectizr/network" class="social-count">
      47
    </a>
  </li>
</ul>

          <h1 itemscope itemtype="http://data-vocabulary.org/Breadcrumb" class="entry-title public ">
  <span class="mega-octicon octicon-repo"></span>
  <span class="author"><a href="/barisaydinoglu" class="url fn" itemprop="url" rel="author"><span itemprop="title">barisaydinoglu</span></a></span><!--
--><span class="path-divider">/</span><!--
--><strong><a href="/barisaydinoglu/Detectizr" data-pjax="#js-repo-pjax-container">Detectizr</a></strong>

  <span class="page-context-loader">
    <img alt="" height="16" src="https://assets-cdn.github.com/images/spinners/octocat-spinner-32.gif" width="16" />
  </span>

</h1>

        </div>
      </div>
    </div>

    <div class="container">
      <div class="repository-with-sidebar repo-container new-discussion-timeline ">
        <div class="repository-sidebar clearfix">
          
<nav class="sunken-menu repo-nav js-repo-nav js-sidenav-container-pjax js-octicon-loaders"
     role="navigation"
     data-pjax="#js-repo-pjax-container"
     data-issue-count-url="/barisaydinoglu/Detectizr/issues/counts">
  <ul class="sunken-menu-group">
    <li class="tooltipped tooltipped-w" aria-label="Code">
      <a href="/barisaydinoglu/Detectizr" aria-label="Code" aria-selected="true" class="js-selected-navigation-item selected sunken-menu-item" data-hotkey="g c" data-selected-links="repo_source repo_downloads repo_commits repo_releases repo_tags repo_branches /barisaydinoglu/Detectizr">
        <span class="octicon octicon-code"></span> <span class="full-word">Code</span>
        <img alt="" class="mini-loader" height="16" src="https://assets-cdn.github.com/images/spinners/octocat-spinner-32.gif" width="16" />
</a>    </li>

      <li class="tooltipped tooltipped-w" aria-label="Issues">
        <a href="/barisaydinoglu/Detectizr/issues" aria-label="Issues" class="js-selected-navigation-item sunken-menu-item" data-hotkey="g i" data-selected-links="repo_issues repo_labels repo_milestones /barisaydinoglu/Detectizr/issues">
          <span class="octicon octicon-issue-opened"></span> <span class="full-word">Issues</span>
          <span class="js-issue-replace-counter"></span>
          <img alt="" class="mini-loader" height="16" src="https://assets-cdn.github.com/images/spinners/octocat-spinner-32.gif" width="16" />
</a>      </li>

    <li class="tooltipped tooltipped-w" aria-label="Pull requests">
      <a href="/barisaydinoglu/Detectizr/pulls" aria-label="Pull requests" class="js-selected-navigation-item sunken-menu-item" data-hotkey="g p" data-selected-links="repo_pulls /barisaydinoglu/Detectizr/pulls">
          <span class="octicon octicon-git-pull-request"></span> <span class="full-word">Pull requests</span>
          <span class="js-pull-replace-counter"></span>
          <img alt="" class="mini-loader" height="16" src="https://assets-cdn.github.com/images/spinners/octocat-spinner-32.gif" width="16" />
</a>    </li>

      <li class="tooltipped tooltipped-w" aria-label="Wiki">
        <a href="/barisaydinoglu/Detectizr/wiki" aria-label="Wiki" class="js-selected-navigation-item sunken-menu-item" data-hotkey="g w" data-selected-links="repo_wiki /barisaydinoglu/Detectizr/wiki">
          <span class="octicon octicon-book"></span> <span class="full-word">Wiki</span>
          <img alt="" class="mini-loader" height="16" src="https://assets-cdn.github.com/images/spinners/octocat-spinner-32.gif" width="16" />
</a>      </li>
  </ul>
  <div class="sunken-menu-separator"></div>
  <ul class="sunken-menu-group">

    <li class="tooltipped tooltipped-w" aria-label="Pulse">
      <a href="/barisaydinoglu/Detectizr/pulse" aria-label="Pulse" class="js-selected-navigation-item sunken-menu-item" data-selected-links="pulse /barisaydinoglu/Detectizr/pulse">
        <span class="octicon octicon-pulse"></span> <span class="full-word">Pulse</span>
        <img alt="" class="mini-loader" height="16" src="https://assets-cdn.github.com/images/spinners/octocat-spinner-32.gif" width="16" />
</a>    </li>

    <li class="tooltipped tooltipped-w" aria-label="Graphs">
      <a href="/barisaydinoglu/Detectizr/graphs" aria-label="Graphs" class="js-selected-navigation-item sunken-menu-item" data-selected-links="repo_graphs repo_contributors /barisaydinoglu/Detectizr/graphs">
        <span class="octicon octicon-graph"></span> <span class="full-word">Graphs</span>
        <img alt="" class="mini-loader" height="16" src="https://assets-cdn.github.com/images/spinners/octocat-spinner-32.gif" width="16" />
</a>    </li>
  </ul>


</nav>

            <div class="only-with-full-nav">
                
<div class="js-clone-url clone-url open"
  data-protocol-type="http">
  <h3 class="text-small text-muted"><span class="text-emphasized">HTTPS</span> clone URL</h3>
  <div class="input-group js-zeroclipboard-container">
    <input type="text" class="input-mini text-small text-muted input-monospace js-url-field js-zeroclipboard-target"
           value="https://github.com/barisaydinoglu/Detectizr.git" readonly="readonly" aria-label="HTTPS clone URL">
    <span class="input-group-button">
      <button aria-label="Copy to clipboard" class="js-zeroclipboard btn btn-sm zeroclipboard-button tooltipped tooltipped-s" data-copied-hint="Copied!" type="button"><span class="octicon octicon-clippy"></span></button>
    </span>
  </div>
</div>

  
<div class="js-clone-url clone-url "
  data-protocol-type="subversion">
  <h3 class="text-small text-muted"><span class="text-emphasized">Subversion</span> checkout URL</h3>
  <div class="input-group js-zeroclipboard-container">
    <input type="text" class="input-mini text-small text-muted input-monospace js-url-field js-zeroclipboard-target"
           value="https://github.com/barisaydinoglu/Detectizr" readonly="readonly" aria-label="Subversion checkout URL">
    <span class="input-group-button">
      <button aria-label="Copy to clipboard" class="js-zeroclipboard btn btn-sm zeroclipboard-button tooltipped tooltipped-s" data-copied-hint="Copied!" type="button"><span class="octicon octicon-clippy"></span></button>
    </span>
  </div>
</div>



<div class="clone-options text-small text-muted">You can clone with
  <!-- </textarea> --><!-- '"` --><form accept-charset="UTF-8" action="/users/set_protocol?protocol_selector=http&amp;protocol_type=clone" class="inline-form js-clone-selector-form " data-form-nonce="87d1b8c0dc4c3d7ed31918fca6d8b5601d83aacc" data-remote="true" method="post"><div style="margin:0;padding:0;display:inline"><input name="utf8" type="hidden" value="&#x2713;" /><input name="authenticity_token" type="hidden" value="UICC3P++1PuxjHA0gq9haZOpQMAKWK+PZZqKrYju76gotdmcL//ZtsOC/NmwjkarzAdF/7E2Vf5if/+/OVuyNA==" /></div><button class="btn-link js-clone-selector" data-protocol="http" type="submit">HTTPS</button></form> or <!-- </textarea> --><!-- '"` --><form accept-charset="UTF-8" action="/users/set_protocol?protocol_selector=subversion&amp;protocol_type=clone" class="inline-form js-clone-selector-form " data-form-nonce="87d1b8c0dc4c3d7ed31918fca6d8b5601d83aacc" data-remote="true" method="post"><div style="margin:0;padding:0;display:inline"><input name="utf8" type="hidden" value="&#x2713;" /><input name="authenticity_token" type="hidden" value="ZinFZpRIUF1n5alEl0yKKjW+Q508GFIsNXNoRaSvRYK0mb0M0SNEIxpvuFC6Vu3QcHxXj/Wmzm92h08KJ4knVw==" /></div><button class="btn-link js-clone-selector" data-protocol="subversion" type="submit">Subversion</button></form>.
  <a href="https://help.github.com/articles/which-remote-url-should-i-use" class="help tooltipped tooltipped-n" aria-label="Get help on which URL is right for you.">
    <span class="octicon octicon-question"></span>
  </a>
</div>
  <a href="https://windows.github.com" class="btn btn-sm sidebar-button" title="Save barisaydinoglu/Detectizr to your computer and use it in GitHub Desktop." aria-label="Save barisaydinoglu/Detectizr to your computer and use it in GitHub Desktop.">
    <span class="octicon octicon-desktop-download"></span>
    Clone in Desktop
  </a>

              <a href="/barisaydinoglu/Detectizr/archive/master.zip"
                 class="btn btn-sm sidebar-button"
                 aria-label="Download the contents of barisaydinoglu/Detectizr as a zip file"
                 title="Download the contents of barisaydinoglu/Detectizr as a zip file"
                 rel="nofollow">
                <span class="octicon octicon-cloud-download"></span>
                Download ZIP
              </a>
            </div>
        </div>
        <div id="js-repo-pjax-container" class="repository-content context-loader-container" data-pjax-container>

          

<a href="/barisaydinoglu/Detectizr/blob/298e6f6d5d30c5b4a7cfb7bb814dc2da3f1bd1e0/dist/detectizr.min.js" class="hidden js-permalink-shortcut" data-hotkey="y">Permalink</a>

<!-- blob contrib key: blob_contributors:v21:20cd9838d67e1417299cc04541df1b07 -->

  <div class="file-navigation js-zeroclipboard-container">
    
<div class="select-menu js-menu-container js-select-menu left">
  <button class="btn btn-sm select-menu-button js-menu-target css-truncate" data-hotkey="w"
    title="master"
    type="button" aria-label="Switch branches or tags" tabindex="0" aria-haspopup="true">
    <i>Branch:</i>
    <span class="js-select-button css-truncate-target">master</span>
  </button>

  <div class="select-menu-modal-holder js-menu-content js-navigation-container" data-pjax aria-hidden="true">

    <div class="select-menu-modal">
      <div class="select-menu-header">
        <span class="octicon octicon-x js-menu-close" role="button" aria-label="Close"></span>
        <span class="select-menu-title">Switch branches/tags</span>
      </div>

      <div class="select-menu-filters">
        <div class="select-menu-text-filter">
          <input type="text" aria-label="Filter branches/tags" id="context-commitish-filter-field" class="js-filterable-field js-navigation-enable" placeholder="Filter branches/tags">
        </div>
        <div class="select-menu-tabs">
          <ul>
            <li class="select-menu-tab">
              <a href="#" data-tab-filter="branches" data-filter-placeholder="Filter branches/tags" class="js-select-menu-tab" role="tab">Branches</a>
            </li>
            <li class="select-menu-tab">
              <a href="#" data-tab-filter="tags" data-filter-placeholder="Find a tag…" class="js-select-menu-tab" role="tab">Tags</a>
            </li>
          </ul>
        </div>
      </div>

      <div class="select-menu-list select-menu-tab-bucket js-select-menu-tab-bucket" data-tab-filter="branches" role="menu">

        <div data-filterable-for="context-commitish-filter-field" data-filterable-type="substring">


            <a class="select-menu-item js-navigation-item js-navigation-open "
               href="/barisaydinoglu/Detectizr/blob/gh-pages/dist/detectizr.min.js"
               data-name="gh-pages"
               data-skip-pjax="true"
               rel="nofollow">
              <span class="select-menu-item-icon octicon octicon-check"></span>
              <span class="select-menu-item-text css-truncate-target" title="gh-pages">
                gh-pages
              </span>
            </a>
            <a class="select-menu-item js-navigation-item js-navigation-open selected"
               href="/barisaydinoglu/Detectizr/blob/master/dist/detectizr.min.js"
               data-name="master"
               data-skip-pjax="true"
               rel="nofollow">
              <span class="select-menu-item-icon octicon octicon-check"></span>
              <span class="select-menu-item-text css-truncate-target" title="master">
                master
              </span>
            </a>
        </div>

          <div class="select-menu-no-results">Nothing to show</div>
      </div>

      <div class="select-menu-list select-menu-tab-bucket js-select-menu-tab-bucket" data-tab-filter="tags">
        <div data-filterable-for="context-commitish-filter-field" data-filterable-type="substring">


            <div class="select-menu-item js-navigation-item ">
              <span class="select-menu-item-icon octicon octicon-check"></span>
              <a href="/barisaydinoglu/Detectizr/tree/v2.2.0/dist/detectizr.min.js"
                 data-name="v2.2.0"
                 data-skip-pjax="true"
                 rel="nofollow"
                 class="js-navigation-open select-menu-item-text css-truncate-target"
                 title="v2.2.0">v2.2.0</a>
            </div>
            <div class="select-menu-item js-navigation-item ">
              <span class="select-menu-item-icon octicon octicon-check"></span>
              <a href="/barisaydinoglu/Detectizr/tree/v2.1.0/dist/detectizr.min.js"
                 data-name="v2.1.0"
                 data-skip-pjax="true"
                 rel="nofollow"
                 class="js-navigation-open select-menu-item-text css-truncate-target"
                 title="v2.1.0">v2.1.0</a>
            </div>
            <div class="select-menu-item js-navigation-item ">
              <span class="select-menu-item-icon octicon octicon-check"></span>
              <a href="/barisaydinoglu/Detectizr/tree/v2.0.0/dist/detectizr.min.js"
                 data-name="v2.0.0"
                 data-skip-pjax="true"
                 rel="nofollow"
                 class="js-navigation-open select-menu-item-text css-truncate-target"
                 title="v2.0.0">v2.0.0</a>
            </div>
            <div class="select-menu-item js-navigation-item ">
              <span class="select-menu-item-icon octicon octicon-check"></span>
              <a href="/barisaydinoglu/Detectizr/tree/v1.5.0/dist/detectizr.min.js"
                 data-name="v1.5.0"
                 data-skip-pjax="true"
                 rel="nofollow"
                 class="js-navigation-open select-menu-item-text css-truncate-target"
                 title="v1.5.0">v1.5.0</a>
            </div>
            <div class="select-menu-item js-navigation-item ">
              <span class="select-menu-item-icon octicon octicon-check"></span>
              <a href="/barisaydinoglu/Detectizr/tree/v1.4.5/dist/detectizr.min.js"
                 data-name="v1.4.5"
                 data-skip-pjax="true"
                 rel="nofollow"
                 class="js-navigation-open select-menu-item-text css-truncate-target"
                 title="v1.4.5">v1.4.5</a>
            </div>
        </div>

        <div class="select-menu-no-results">Nothing to show</div>
      </div>

    </div>
  </div>
</div>

    <div class="btn-group right">
      <a href="/barisaydinoglu/Detectizr/find/master"
            class="js-show-file-finder btn btn-sm empty-icon tooltipped tooltipped-nw"
            data-pjax
            data-hotkey="t"
            aria-label="Quickly jump between files">
        <span class="octicon octicon-list-unordered"></span>
      </a>
      <button aria-label="Copy file path to clipboard" class="js-zeroclipboard btn btn-sm zeroclipboard-button tooltipped tooltipped-s" data-copied-hint="Copied!" type="button"><span class="octicon octicon-clippy"></span></button>
    </div>

    <div class="breadcrumb js-zeroclipboard-target">
      <span class="repo-root js-repo-root"><span itemscope="" itemtype="http://data-vocabulary.org/Breadcrumb"><a href="/barisaydinoglu/Detectizr" class="" data-branch="master" data-pjax="true" itemscope="url"><span itemprop="title">Detectizr</span></a></span></span><span class="separator">/</span><span itemscope="" itemtype="http://data-vocabulary.org/Breadcrumb"><a href="/barisaydinoglu/Detectizr/tree/master/dist" class="" data-branch="master" data-pjax="true" itemscope="url"><span itemprop="title">dist</span></a></span><span class="separator">/</span><strong class="final-path">detectizr.min.js</strong>
    </div>
  </div>


  <div class="commit-tease">
      <span class="right">
        <a class="commit-tease-sha" href="/barisaydinoglu/Detectizr/commit/3904255bbf630331b3c969a0128b51d1c8705d94" data-pjax>
          3904255
        </a>
        <time datetime="2015-09-28T21:39:02Z" is="relative-time">Sep 29, 2015</time>
      </span>
      <div>
        <img alt="@barisaydinoglu" class="avatar" height="20" src="https://avatars1.githubusercontent.com/u/900545?v=3&amp;s=40" width="20" />
        <a href="/barisaydinoglu" class="user-mention" rel="author">barisaydinoglu</a>
          <a href="/barisaydinoglu/Detectizr/commit/3904255bbf630331b3c969a0128b51d1c8705d94" class="message" data-pjax="true" title="Windows10 and Edge support">Windows10 and Edge support</a>
      </div>

    <div class="commit-tease-contributors">
      <a class="muted-link contributors-toggle" href="#blob_contributors_box" rel="facebox">
        <strong>2</strong>
         contributors
      </a>
          <a class="avatar-link tooltipped tooltipped-s" aria-label="barisaydinoglu" href="/barisaydinoglu/Detectizr/commits/master/dist/detectizr.min.js?author=barisaydinoglu"><img alt="@barisaydinoglu" class="avatar" height="20" src="https://avatars1.githubusercontent.com/u/900545?v=3&amp;s=40" width="20" /> </a>
    <a class="avatar-link tooltipped tooltipped-s" aria-label="dsizomin" href="/barisaydinoglu/Detectizr/commits/master/dist/detectizr.min.js?author=dsizomin"><img alt="@dsizomin" class="avatar" height="20" src="https://avatars0.githubusercontent.com/u/746587?v=3&amp;s=40" width="20" /> </a>


    </div>

    <div id="blob_contributors_box" style="display:none">
      <h2 class="facebox-header" data-facebox-id="facebox-header">Users who have contributed to this file</h2>
      <ul class="facebox-user-list" data-facebox-id="facebox-description">
          <li class="facebox-user-list-item">
            <img alt="@barisaydinoglu" height="24" src="https://avatars3.githubusercontent.com/u/900545?v=3&amp;s=48" width="24" />
            <a href="/barisaydinoglu">barisaydinoglu</a>
          </li>
          <li class="facebox-user-list-item">
            <img alt="@dsizomin" height="24" src="https://avatars2.githubusercontent.com/u/746587?v=3&amp;s=48" width="24" />
            <a href="/dsizomin">dsizomin</a>
          </li>
      </ul>
    </div>
  </div>

<div class="file">
  <div class="file-header">
  <div class="file-actions">

    <div class="btn-group">
      <a href="/barisaydinoglu/Detectizr/raw/master/dist/detectizr.min.js" class="btn btn-sm " id="raw-url">Raw</a>
        <a href="/barisaydinoglu/Detectizr/blame/master/dist/detectizr.min.js" class="btn btn-sm js-update-url-with-hash">Blame</a>
      <a href="/barisaydinoglu/Detectizr/commits/master/dist/detectizr.min.js" class="btn btn-sm " rel="nofollow">History</a>
    </div>

        <a class="octicon-btn tooltipped tooltipped-nw"
           href="https://windows.github.com"
           aria-label="Open this file in GitHub Desktop"
           data-ga-click="Repository, open with desktop, type:windows">
            <span class="octicon octicon-device-desktop"></span>
        </a>

        <button type="button" class="octicon-btn disabled tooltipped tooltipped-nw"
          aria-label="You must be signed in to make or propose changes">
          <span class="octicon octicon-pencil"></span>
        </button>
        <button type="button" class="octicon-btn octicon-btn-danger disabled tooltipped tooltipped-nw"
          aria-label="You must be signed in to make or propose changes">
          <span class="octicon octicon-trashcan"></span>
        </button>
  </div>

  <div class="file-info">
      3 lines (3 sloc)
      <span class="file-info-divider"></span>
    7.94 KB
  </div>
</div>

  

  <div class="blob-wrapper data type-javascript">
      <table class="highlight tab-size js-file-line-container" data-tab-size="2">
      <tr>
        <td id="L1" class="blob-num js-line-number" data-line-number="1"></td>
        <td id="LC1" class="blob-code blob-code-inner js-file-line"><span class="pl-c">/*! Detectizr v2.2.0 | (c) 2012 Baris Aydinoglu | Licensed  */</span></td>
      </tr>
      <tr>
        <td id="L2" class="blob-num js-line-number" data-line-number="2"></td>
        <td id="LC2" class="blob-code blob-code-inner js-file-line">window.Detectizr=function(a,b,c,d){var e={},f=a.Modernizr,g=[&quot;tv&quot;,&quot;tablet&quot;,&quot;mobile&quot;,&quot;desktop&quot;],h={addAllFeaturesAsClass:!1,detectDevice:!0,detectDeviceModel:!0,detectScreen:!0,detectOS:!0,detectBrowser:!0,detectPlugins:!0},i=[{name:&quot;adobereader&quot;,substrs:[&quot;Adobe&quot;,&quot;Acrobat&quot;],progIds:[&quot;AcroPDF.PDF&quot;,&quot;PDF.PDFCtrl.5&quot;]},{name:&quot;flash&quot;,substrs:[&quot;Shockwave Flash&quot;],progIds:[&quot;ShockwaveFlash.ShockwaveFlash.1&quot;]},{name:&quot;wmplayer&quot;,substrs:[&quot;Windows Media&quot;],progIds:[&quot;wmplayer.ocx&quot;]},{name:&quot;silverlight&quot;,substrs:[&quot;Silverlight&quot;],progIds:[&quot;AgControl.AgControl&quot;]},{name:&quot;quicktime&quot;,substrs:[&quot;QuickTime&quot;],progIds:[&quot;QuickTime.QuickTime&quot;]}],j=/[\t\r\n]/g,k=c.documentElement,l,m;function n(a,b){var c,d,e;if(arguments.length&gt;2)for(c=1,d=arguments.length;d&gt;c;c+=1)n(a,arguments[c]);else for(e in b)b.hasOwnProperty(e)&amp;&amp;(a[e]=b[e]);return a}function o(a){return e.browser.userAgent.indexOf(a)&gt;-1}function p(a){return a.test(e.browser.userAgent)}function q(a){return a.exec(e.browser.userAgent)}function r(a){return a.replace(/^\s+|\s+$/g,&quot;&quot;)}function s(a){return null===a||a===d?&quot;&quot;:String(a).replace(/((\s|\-|\.)+[a-z0-9])/g,function(a){return a.toUpperCase().replace(/(\s|\-|\.)/g,&quot;&quot;)})}function t(a,b){var c=b||&quot;&quot;,d=1===a.nodeType&amp;&amp;(a.className?(&quot; &quot;+a.className+&quot; &quot;).replace(j,&quot; &quot;):&quot;&quot;);if(d){while(d.indexOf(&quot; &quot;+c+&quot; &quot;)&gt;=0)d=d.replace(&quot; &quot;+c+&quot; &quot;,&quot; &quot;);a.className=b?r(d):&quot;&quot;}}function u(a,b,c){a&amp;&amp;(a=s(a),b&amp;&amp;(b=s(b),v(a+b,!0),c&amp;&amp;v(a+b+&quot;_&quot;+c,!0)))}function v(a,b){a&amp;&amp;f&amp;&amp;(h.addAllFeaturesAsClass?f.addTest(a,b):(b=&quot;function&quot;==typeof b?b():b,b?f.addTest(a,!0):(delete f[a],t(k,a))))}function w(a,b){a.version=b;var c=b.split(&quot;.&quot;);c.length&gt;0?(c=c.reverse(),a.major=c.pop(),c.length&gt;0?(a.minor=c.pop(),c.length&gt;0?(c=c.reverse(),a.patch=c.join(&quot;.&quot;)):a.patch=&quot;0&quot;):a.minor=&quot;0&quot;):a.major=&quot;0&quot;}function x(){a.clearTimeout(l),l=a.setTimeout(function(){m=e.device.orientation,a.innerHeight&gt;a.innerWidth?e.device.orientation=&quot;portrait&quot;:e.device.orientation=&quot;landscape&quot;,v(e.device.orientation,!0),m!==e.device.orientation&amp;&amp;v(m,!1)},10)}function y(a){var c=b.plugins,d,e,f,g,h;for(g=c.length-1;g&gt;=0;g--){for(d=c[g],e=d.name+d.description,f=0,h=a.length;h&gt;=0;h--)-1!==e.indexOf(a[h])&amp;&amp;(f+=1);if(f===a.length)return!0}return!1}function z(a){var b;for(b=a.length-1;b&gt;=0;b--)try{new ActiveXObject(a[b])}catch(c){}return!1}function A(d){var j,k,l,m,r,t,A;if(h=n({},h,d||{}),h.detectDevice){for(e.device={type:&quot;&quot;,model:&quot;&quot;,orientation:&quot;&quot;},l=e.device,p(/googletv|smarttv|smart-tv|internet.tv|netcast|nettv|appletv|boxee|kylo|roku|dlnadoc|roku|pov_tv|hbbtv|ce\-html/)?(l.type=g[0],l.model=&quot;smartTv&quot;):p(/xbox|playstation.3|wii/)?(l.type=g[0],l.model=&quot;gameConsole&quot;):p(/ip(a|ro)d/)?(l.type=g[1],l.model=&quot;ipad&quot;):p(/tablet/)&amp;&amp;!p(/rx-34/)||p(/folio/)?(l.type=g[1],l.model=String(q(/playbook/)||&quot;&quot;)):p(/linux/)&amp;&amp;p(/android/)&amp;&amp;!p(/fennec|mobi|htc.magic|htcX06ht|nexus.one|sc-02b|fone.945/)?(l.type=g[1],l.model=&quot;android&quot;):p(/kindle/)||p(/mac.os/)&amp;&amp;p(/silk/)?(l.type=g[1],l.model=&quot;kindle&quot;):p(/gt-p10|sc-01c|shw-m180s|sgh-t849|sch-i800|shw-m180l|sph-p100|sgh-i987|zt180|htc(.flyer|\_flyer)|sprint.atp51|viewpad7|pandigital(sprnova|nova)|ideos.s7|dell.streak.7|advent.vega|a101it|a70bht|mid7015|next2|nook/)||p(/mb511/)&amp;&amp;p(/rutem/)?(l.type=g[1],l.model=&quot;android&quot;):p(/bb10/)?(l.type=g[1],l.model=&quot;blackberry&quot;):(l.model=q(/iphone|ipod|android|blackberry|opera mini|opera mobi|skyfire|maemo|windows phone|palm|iemobile|symbian|symbianos|fennec|j2me/),null!==l.model?(l.type=g[2],l.model=String(l.model)):(l.model=&quot;&quot;,p(/bolt|fennec|iris|maemo|minimo|mobi|mowser|netfront|novarra|prism|rx-34|skyfire|tear|xv6875|xv6975|google.wireless.transcoder/)?l.type=g[2]:p(/opera/)&amp;&amp;p(/windows.nt.5/)&amp;&amp;p(/htc|xda|mini|vario|samsung\-gt\-i8000|samsung\-sgh\-i9/)?l.type=g[2]:p(/windows.(nt|xp|me|9)/)&amp;&amp;!p(/phone/)||p(/win(9|.9|nt)/)||p(/\(windows 8\)/)?l.type=g[3]:p(/macintosh|powerpc/)&amp;&amp;!p(/silk/)?(l.type=g[3],l.model=&quot;mac&quot;):p(/linux/)&amp;&amp;p(/x11/)?l.type=g[3]:p(/solaris|sunos|bsd/)?l.type=g[3]:p(/cros/)?l.type=g[3]:p(/bot|crawler|spider|yahoo|ia_archiver|covario-ids|findlinks|dataparksearch|larbin|mediapartners-google|ng-search|snappy|teoma|jeeves|tineye/)&amp;&amp;!p(/mobile/)?(l.type=g[3],l.model=&quot;crawler&quot;):l.type=g[2])),j=0,k=g.length;k&gt;j;j+=1)v(g[j],l.type===g[j]);h.detectDeviceModel&amp;&amp;v(s(l.model),!0)}if(h.detectScreen&amp;&amp;(l.screen={},f&amp;&amp;f.mq&amp;&amp;(f.mq(&quot;only screen and (max-width: 240px)&quot;)?(l.screen.size=&quot;veryVerySmall&quot;,v(&quot;veryVerySmallScreen&quot;,!0)):f.mq(&quot;only screen and (max-width: 320px)&quot;)?(l.screen.size=&quot;verySmall&quot;,v(&quot;verySmallScreen&quot;,!0)):f.mq(&quot;only screen and (max-width: 480px)&quot;)&amp;&amp;(l.screen.size=&quot;small&quot;,v(&quot;smallScreen&quot;,!0)),(l.type===g[1]||l.type===g[2])&amp;&amp;f.mq(&quot;only screen and (-moz-min-device-pixel-ratio: 1.3), only screen and (-o-min-device-pixel-ratio: 2.6/2), only screen and (-webkit-min-device-pixel-ratio: 1.3), only screen  and (min-device-pixel-ratio: 1.3), only screen and (min-resolution: 1.3dppx)&quot;)&amp;&amp;(l.screen.resolution=&quot;high&quot;,v(&quot;highresolution&quot;,!0))),l.type===g[1]||l.type===g[2]?(a.onresize=function(a){x(a)},x()):(l.orientation=&quot;landscape&quot;,v(l.orientation,!0))),h.detectOS&amp;&amp;(e.os={},m=e.os,&quot;&quot;!==l.model&amp;&amp;(&quot;ipad&quot;===l.model||&quot;iphone&quot;===l.model||&quot;ipod&quot;===l.model?(m.name=&quot;ios&quot;,w(m,(p(/os\s([\d_]+)/)?RegExp.$1:&quot;&quot;).replace(/_/g,&quot;.&quot;))):&quot;android&quot;===l.model?(m.name=&quot;android&quot;,w(m,p(/android\s([\d\.]+)/)?RegExp.$1:&quot;&quot;)):&quot;blackberry&quot;===l.model?(m.name=&quot;blackberry&quot;,w(m,p(/version\/([^\s]+)/)?RegExp.$1:&quot;&quot;)):&quot;playbook&quot;===l.model&amp;&amp;(m.name=&quot;blackberry&quot;,w(m,p(/os ([^\s]+)/)?RegExp.$1.replace(&quot;;&quot;,&quot;&quot;):&quot;&quot;))),m.name||(o(&quot;win&quot;)||o(&quot;16bit&quot;)?(m.name=&quot;windows&quot;,o(&quot;windows nt 10&quot;)?w(m,&quot;10&quot;):o(&quot;windows nt 6.3&quot;)?w(m,&quot;8.1&quot;):o(&quot;windows nt 6.2&quot;)||p(/\(windows 8\)/)?w(m,&quot;8&quot;):o(&quot;windows nt 6.1&quot;)?w(m,&quot;7&quot;):o(&quot;windows nt 6.0&quot;)?w(m,&quot;vista&quot;):o(&quot;windows nt 5.2&quot;)||o(&quot;windows nt 5.1&quot;)||o(&quot;windows xp&quot;)?w(m,&quot;xp&quot;):o(&quot;windows nt 5.0&quot;)||o(&quot;windows 2000&quot;)?w(m,&quot;2k&quot;):o(&quot;winnt&quot;)||o(&quot;windows nt&quot;)?w(m,&quot;nt&quot;):o(&quot;win98&quot;)||o(&quot;windows 98&quot;)?w(m,&quot;98&quot;):(o(&quot;win95&quot;)||o(&quot;windows 95&quot;))&amp;&amp;w(m,&quot;95&quot;)):o(&quot;mac&quot;)||o(&quot;darwin&quot;)?(m.name=&quot;mac os&quot;,o(&quot;68k&quot;)||o(&quot;68000&quot;)?w(m,&quot;68k&quot;):o(&quot;ppc&quot;)||o(&quot;powerpc&quot;)?w(m,&quot;ppc&quot;):o(&quot;os x&quot;)&amp;&amp;w(m,(p(/os\sx\s([\d_]+)/)?RegExp.$1:&quot;os x&quot;).replace(/_/g,&quot;.&quot;))):o(&quot;webtv&quot;)?m.name=&quot;webtv&quot;:o(&quot;x11&quot;)||o(&quot;inux&quot;)?m.name=&quot;linux&quot;:o(&quot;sunos&quot;)?m.name=&quot;sun&quot;:o(&quot;irix&quot;)?m.name=&quot;irix&quot;:o(&quot;freebsd&quot;)?m.name=&quot;freebsd&quot;:o(&quot;bsd&quot;)&amp;&amp;(m.name=&quot;bsd&quot;)),m.name&amp;&amp;(v(m.name,!0),m.major&amp;&amp;(u(m.name,m.major),m.minor&amp;&amp;u(m.name,m.major,m.minor))),p(/\sx64|\sx86|\swin64|\swow64|\samd64/)?m.addressRegisterSize=&quot;64bit&quot;:m.addressRegisterSize=&quot;32bit&quot;,v(m.addressRegisterSize,!0)),h.detectBrowser&amp;&amp;(r=e.browser,p(/opera|webtv/)||!p(/msie\s([\d\w\.]+)/)&amp;&amp;!o(&quot;trident&quot;)?o(&quot;firefox&quot;)?(r.engine=&quot;gecko&quot;,r.name=&quot;firefox&quot;,w(r,p(/firefox\/([\d\w\.]+)/)?RegExp.$1:&quot;&quot;)):o(&quot;gecko/&quot;)?r.engine=&quot;gecko&quot;:o(&quot;opera&quot;)?(r.name=&quot;opera&quot;,r.engine=&quot;presto&quot;,w(r,p(/version\/([\d\.]+)/)?RegExp.$1:p(/opera(\s|\/)([\d\.]+)/)?RegExp.$2:&quot;&quot;)):o(&quot;konqueror&quot;)?r.name=&quot;konqueror&quot;:o(&quot;edge&quot;)?(r.engine=&quot;webkit&quot;,r.name=&quot;edge&quot;,w(r,p(/edge\/([\d\.]+)/)?RegExp.$1:&quot;&quot;)):o(&quot;chrome&quot;)?(r.engine=&quot;webkit&quot;,r.name=&quot;chrome&quot;,w(r,p(/chrome\/([\d\.]+)/)?RegExp.$1:&quot;&quot;)):o(&quot;iron&quot;)?(r.engine=&quot;webkit&quot;,r.name=&quot;iron&quot;):o(&quot;crios&quot;)?(r.name=&quot;chrome&quot;,r.engine=&quot;webkit&quot;,w(r,p(/crios\/([\d\.]+)/)?RegExp.$1:&quot;&quot;)):o(&quot;applewebkit/&quot;)?(r.name=&quot;safari&quot;,r.engine=&quot;webkit&quot;,w(r,p(/version\/([\d\.]+)/)?RegExp.$1:&quot;&quot;)):o(&quot;mozilla/&quot;)&amp;&amp;(r.engine=&quot;gecko&quot;):(r.engine=&quot;trident&quot;,r.name=&quot;ie&quot;,!a.addEventListener&amp;&amp;c.documentMode&amp;&amp;7===c.documentMode?w(r,&quot;8.compat&quot;):p(/trident.*rv[ :](\d+)\./)?w(r,RegExp.$1):w(r,p(/trident\/4\.0/)?&quot;8&quot;:RegExp.$1)),r.name&amp;&amp;(v(r.name,!0),r.major&amp;&amp;(u(r.name,r.major),r.minor&amp;&amp;u(r.name,r.major,r.minor))),v(r.engine,!0),r.language=b.userLanguage||b.language,v(r.language,!0)),h.detectPlugins){for(r.plugins=[],j=i.length-1;j&gt;=0;j--)t=i[j],A=!1,a.ActiveXObject?A=z(t.progIds):b.plugins&amp;&amp;(A=y(t.substrs)),A&amp;&amp;(r.plugins.push(t.name),v(t.name,!0));b.javaEnabled()&amp;&amp;(r.plugins.push(&quot;java&quot;),v(&quot;java&quot;,!0))}}return e.detect=function(a){return A(a)},e.init=function(){e!==d&amp;&amp;(e.browser={userAgent:(b.userAgent||b.vendor||a.opera).toLowerCase()},e.detect())},e.init(),e}(this,this.navigator,this.document);</td>
      </tr>
      <tr>
        <td id="L3" class="blob-num js-line-number" data-line-number="3"></td>
        <td id="LC3" class="blob-code blob-code-inner js-file-line"><span class="pl-c">//# sourceMappingURL=detectizr.min.map</span></td>
      </tr>
</table>

  </div>

</div>

<a href="#jump-to-line" rel="facebox[.linejump]" data-hotkey="l" style="display:none">Jump to Line</a>
<div id="jump-to-line" style="display:none">
  <!-- </textarea> --><!-- '"` --><form accept-charset="UTF-8" action="" class="js-jump-to-line-form" method="get"><div style="margin:0;padding:0;display:inline"><input name="utf8" type="hidden" value="&#x2713;" /></div>
    <input class="linejump-input js-jump-to-line-field" type="text" placeholder="Jump to line&hellip;" aria-label="Jump to line" autofocus>
    <button type="submit" class="btn">Go</button>
</form></div>

        </div>
      </div>
      <div class="modal-backdrop"></div>
    </div>
  </div>


    </div>

      <div class="container">
  <div class="site-footer" role="contentinfo">
    <ul class="site-footer-links right">
        <li><a href="https://status.github.com/" data-ga-click="Footer, go to status, text:status">Status</a></li>
      <li><a href="https://developer.github.com" data-ga-click="Footer, go to api, text:api">API</a></li>
      <li><a href="https://training.github.com" data-ga-click="Footer, go to training, text:training">Training</a></li>
      <li><a href="https://shop.github.com" data-ga-click="Footer, go to shop, text:shop">Shop</a></li>
        <li><a href="https://github.com/blog" data-ga-click="Footer, go to blog, text:blog">Blog</a></li>
        <li><a href="https://github.com/about" data-ga-click="Footer, go to about, text:about">About</a></li>
        <li><a href="https://github.com/pricing" data-ga-click="Footer, go to pricing, text:pricing">Pricing</a></li>

    </ul>

    <a href="https://github.com" aria-label="Homepage">
      <span class="mega-octicon octicon-mark-github" title="GitHub"></span>
</a>
    <ul class="site-footer-links">
      <li>&copy; 2015 <span title="0.05805s from github-fe133-cp1-prd.iad.github.net">GitHub</span>, Inc.</li>
        <li><a href="https://github.com/site/terms" data-ga-click="Footer, go to terms, text:terms">Terms</a></li>
        <li><a href="https://github.com/site/privacy" data-ga-click="Footer, go to privacy, text:privacy">Privacy</a></li>
        <li><a href="https://github.com/security" data-ga-click="Footer, go to security, text:security">Security</a></li>
        <li><a href="https://github.com/contact" data-ga-click="Footer, go to contact, text:contact">Contact</a></li>
        <li><a href="https://help.github.com" data-ga-click="Footer, go to help, text:help">Help</a></li>
    </ul>
  </div>
</div>



    
    
    

    <div id="ajax-error-message" class="flash flash-error">
      <span class="octicon octicon-alert"></span>
      <button type="button" class="flash-close js-flash-close js-ajax-error-dismiss" aria-label="Dismiss error">
        <span class="octicon octicon-x"></span>
      </button>
      Something went wrong with that request. Please try again.
    </div>


      <script crossorigin="anonymous" integrity="sha256-fRgMK7V3nst6tdBM6K+ZnnODbc8N8ajES2nGKh3gcy8=" src="https://assets-cdn.github.com/assets/frameworks-7d180c2bb5779ecb7ab5d04ce8af999e73836dcf0df1a8c44b69c62a1de0732f.js"></script>
      <script async="async" crossorigin="anonymous" integrity="sha256-zj+N7WT8qDCpOKfFVGvoaJ/gjTaHzXGpwD8UHTfG5Ak=" src="https://assets-cdn.github.com/assets/github-ce3f8ded64fca830a938a7c5546be8689fe08d3687cd71a9c03f141d37c6e409.js"></script>
      
      
    <div class="js-stale-session-flash stale-session-flash flash flash-warn flash-banner hidden">
      <span class="octicon octicon-alert"></span>
      <span class="signed-in-tab-flash">You signed in with another tab or window. <a href="">Reload</a> to refresh your session.</span>
      <span class="signed-out-tab-flash">You signed out in another tab or window. <a href="">Reload</a> to refresh your session.</span>
    </div>
  </body>
</html>

